:root {
    --green: #277627;
    --violet: #522876;
    --heading: 'Syne', sans-serif;
    --text: 'Manrope', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--text);
    line-height: 1.6;
    font-size: clamp(1rem, 1.2vw + 1rem, 1.25rem);
}

.container {
    width: 90%;
    max-width: 1100px;
    margin: 0 auto;
}

h1, h2, h3 {
    font-family: var(--heading);
    color: var(--green);
}

h1 {
    font-family: var(--heading);
    color: var(--green);
    font-size: clamp(2rem, 4vw, 3rem);
    text-align: center;
}

h2 {
    font-family: var(--heading);
    color: var(--green);
    font-size: clamp(1.5rem, 2vw, 3rem);
    text-align: center;
    margin-bottom: 2rem;
    text-transform: uppercase;
}

h3 {
    font-family: var(--heading);
    color: var(--green);
    font-size: clamp(1rem, 1.5vw, 2rem); 
}

/* HEADER */

.site-header {
    background: white;
    height: 80px;
    border-bottom: 3px solid var(--green);
    display: flex;
    position: fixed;   
    top: 0;           
    left: 0;
    width: 100%;      
    z-index: 9999;     
}

#main-content {
    padding-top: 80px; 
}

.logo a {
    display: inline-block;
    position: relative;
    width: 70px;
    height: 70px;
}

.logo img {
    position: absolute;
    top: 0;
    left: 0;
    width: 75px;
    height: 75px;
    transition: opacity 0.3s ease;
}

.logo .logo-hover {
    opacity: 0; 
}

.logo a:hover .logo-hover {
    opacity: 1; 
}

.logo a:hover .logo-default {
    opacity: 0; 
}

nav {
    margin-left: auto; 
    display: flex;
    gap: 2em; 
}

.nav {
    display: flex;
    align-items: center;
}


nav ul {
    list-style: none;
    display: flex;
    gap: 3em;
}

nav a {
    text-decoration: none;
    font-weight: 700;
    position: relative; 
    color: black; 
    transition: color 0.3s ease;
}

nav a::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    left: 0;
    bottom: -4px; 
    background-color: var(--green);
    transition: width 0.3s ease;
}

nav a:hover {
    color: var(--green);
}

nav a:hover::after {
    width: 100%; 
}

/* HERO */

.hero {
    margin: 4rem auto;
}

.hero-card {
    display: flex;
    gap: 3rem;
    align-items: flex-start;
    background: white;
    border-radius: 20px;
    padding: 2rem;
    box-shadow: 0 15px 30px rgba(39, 118, 39, 0.50);
}

.hero-image img {
    border-radius: 15px;
    object-fit: cover;
    height: 100%;
    max-height: 350px;
}

.hero-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    flex: 1;
    height: 100%;
}

.hero-content h1 {
    font-size: 1.3rem;
    margin: 0 0 2rem 0;
    text-align: left;
}

.text-link {
    display: inline-block;
    margin: 2rem 0 3rem 0;
    color: var(--green);
    text-decoration: none;
    font-weight: 700;
    position: relative;
    transition: color 0.5s ease;
}

.text-link::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    left: 0;
    bottom: -3px;
    background-color: var(--green);
    transition: width 0.3s ease;
}

.text-link:hover::after {
    width: 100%;
}

.btn-primary {
    display: inline-block;
    padding: 0.75rem 2rem;
    height: 50px;
    background: var(--green);
    color: white;
    border: 3px solid transparent;
    border-radius: 30px;
    cursor: pointer;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-family: var(--heading);
    transition: all 0.3s ease;
    text-align: center;
    width: auto;
    margin-top: auto;
    box-sizing: border-box;
}

.btn-primary:hover {
    color: var(--green);
    background-color: white;
    border-color: var(--green);
    transform: translateY(-4px);
    box-shadow: 0 8px 20px rgba(39, 118, 39, 0.25);
}

.btn-primary:focus {
    outline: none;
    box-shadow: 0 0 0 4px rgba(39, 118, 39, 0.2);
}

/* MISSIONS */

.missions {
    position: relative;
    padding: 7rem 0;
    background-image: url("../images/logo.webp");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 180%;
    width: 100%;
}

.missions::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(255, 255, 255, 0.96);
    z-index: 0;
}

.missions .container {
    position: relative;
    z-index: 1;
}

.missions-list {
    display: flex;
    flex-direction: column;
    gap: 4rem;
    margin-top: 4rem;
}

.mission {
    display: flex;
    align-items: flex-start;
    gap: 3rem;
    transition: all 0.3s ease;
}

.mission-icon {
    position: relative;
    min-width: 120px;
    height: 120px;
    border-radius: 50%;
    background-color: var(--green);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 55%;
    transition: all 0.3s ease;
}

/* Deuxième bordure externe */
.mission-icon::after {
    content: "";
    position: absolute;
    inset: -8px;
    border-radius: 50%;
    border: 3px solid var(--green);
    transition: all 0.3s ease;
}

.mission:nth-child(1) .mission-icon {
    background-image: url("../images/missions/1.png");
}

.mission:nth-child(2) .mission-icon {
    background-image: url("../images/missions/2.png");
}

.mission:nth-child(3) .mission-icon {
    background-image: url("../images/missions/3.png");
}

.mission:nth-child(4) .mission-icon {
    background-image: url("../images/missions/4.png");
}

.mission:nth-child(5) .mission-icon {
    background-image: url("../images/missions/5.png");
}

.mission-content h3 {
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: 700;
    color: var(--green);
    margin-bottom: 0.8rem;
    transition: color 0.3s ease;
}

.mission-content p {
    line-height: 1.6;
    transition: color 0.3s ease;
}

/* HOVER */

.mission:hover .mission-icon {
    background-color: var(--violet);
}

.mission:hover .mission-icon::after {
    border-color: var(--violet);
}

.mission:hover .mission-content h3,
.mission:hover .mission-content p {
    color: var(--violet);
    cursor: pointer;
}

/* PARTNERS */

.partners {
    background: white;
    padding: 3rem 2rem;
    border-radius: 20px;
    margin-bottom: 5rem;
    margin-top: 5rem;
    box-shadow: 0 15px 30px rgba(39, 118, 39, 0.50);
}

.partner-logos-wrapper {
    overflow: hidden;
    width: 100%;
    position: relative;
}

.partner-logos {
    display: flex;
    gap: 2rem; 
    animation: scroll-left 25s linear infinite;
    align-items: center;
}

.partner-logos .logo-box {
    flex: 0 0 auto; 
    text-align: center;
    padding: 1.5rem;
    border-radius: 15px;
    background: white;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.partner-logos .logo-box img {
    max-height: 60px;
    max-width: 150px; 
    object-fit: contain;
}

/* Hover effet "lift" */
.partner-logos .logo-box:hover {
    transform: translateY(-5px);
}

/* Animation du scroll */
@keyframes scroll-left {
    0% { transform: translateX(0); }
    100% { transform: translateX(-50%); }
}

/* CONTACT*/

.contact-section {
    position: relative;
    padding: 7rem 0;
    background-image: url("../images/logo.webp");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 180%;
    
}

.contact-section::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(255, 255, 255, 0.96);
    z-index: 0;
 
    
}

.contact-wrapper {
    position: relative;
    z-index: 1;
}

.contact-wrapper .section-header {
    margin-bottom: 2rem;
}

.adresse-mail {
    color: var(--green);
}

.contact-form {
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.form-row {
    display: flex;
    gap: 4rem;
}

.form-group {
    flex: 1;
    display: flex;
    flex-direction: column;
}

label {
    font-size: 1rem;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--green);
    margin-bottom: 0.3rem;
    letter-spacing: 1px;
}

input,
textarea {
    background: #CCEFCB;
    border: 2px solid transparent;
    padding: 0.9rem 1rem;
    font-size: 1rem;
    font-family: inherit;
    outline: none;
    transition: all 0.2s ease;
}

input:focus,
textarea:focus {
    border-color: var(--green);
}

.contact-form .btn-primary {
    align-self: flex-start;
    margin-top: 1rem;
    padding: 1rem 2.5rem;
    border-radius: 40px;
}

/* FOOTER */

.site-footer {
    border-top: 3px solid var(--green); 
    background: white;
    padding: 2rem 1rem;
    font-family: var(--text);
    font-weight: 500;
}

.site-footer .footer-content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    gap: 1rem;
}

.site-footer .footer-link {
    color: black;
    text-decoration: none;
    position: relative;
    transition: color 0.3s ease;
}

.site-footer .footer-link::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    left: 0;
    bottom: -2px;
    background-color: var(--green);
    transition: width 0.3s ease;
}

.site-footer .footer-link:hover {
    color: var(--green);
}

.site-footer .footer-link:hover::after {
    width: 100%;
}

.footer-left, .footer-center, .footer-right {
    flex: 1 1 auto;
    text-align: left;
}

.footer-center {
    text-align: center;
}

.footer-right {
    text-align: right;
}



/* MENTIONS LEGALES */

.legal-page {
    padding: 5rem 0;
}

.legal-card {
    background: white;
    border-radius: 20px;
    padding: 3rem;
    box-shadow: 0 15px 30px rgba(39, 118, 39, 0.25);
}

.legal-card h1 {
    margin-bottom: 3rem;
    text-transform: uppercase;
}

.legal-section {
    margin-bottom: 2.5rem;
}

.legal-section h2 {
    text-align: left;
    margin-bottom: 1rem;
    margin-top: 5rem;
}

.legal-section h3 {
    margin-top: 2rem;
 
}

.legal-section p {
    margin-bottom: 1rem;
}

.legal-section ul {
    margin-left: 1.5rem;
    margin-bottom: 1rem;
}

.legal-section li {
    margin-bottom: 0.4rem;
}

.legal-section a {
    color: var(--green);
    font-weight: 600;
    text-decoration: none;
}

.legal-section a:hover {
    text-decoration: underline;
}

/* PAGE ABOUT */

.about-page {
    padding: 5rem 0;
    background: #f8fbf8;
}

.about-card {
    background: white;
    border-radius: 20px;
    padding: 3rem;
    margin-top: 3rem;
    box-shadow: 0 15px 30px rgba(39,118,39,0.25);
}

.about-card h1 {
    margin-bottom: 2.5rem;
    text-transform: uppercase;
}

.about-section {
    max-width: 800px;
    margin: 0 auto;
}

.about-section h2 {
    text-align: left;
    margin-bottom: 1rem;
}

.about-section p {
    margin-bottom: 1.4rem;
    line-height: 1.8;
}

/* PAGE EN CONSTRUCTION */

.construction-page {
    padding: 6rem 0;
    min-height: 90vh;

}

.construction-card {
    background: white;
    border-radius: 20px;
    padding: 3rem;
    text-align: center;
    max-width: 1200px;
    margin: 0 auto;
    box-shadow: 0 15px 30px rgba(39,118,39,0.25);
    margin-top: 10%;
}

.construction-card h1 {
    margin-bottom: 1.5rem;
    text-transform: uppercase;
}

.construction-card p {
    margin-bottom: 2rem;
}

.construction-card a {
    text-decoration: none;
    margin-bottom: 0.5em;
}

/* MODALE */

body.modal-open {
    overflow: hidden;
}

.modal {
    position: fixed;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10000;

    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}

.modal.active {
    opacity: 1;
    pointer-events: auto;
}

.modal-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.5);
    opacity: 0;
    transition: opacity 0.3s ease;
}

.modal.active .modal-overlay {
    opacity: 1;
}

.modal-content {
    position: relative;
    z-index: 1;
    width: 90%;
    max-width: 1100px;

    transform: scale(0.95) translateY(20px);
    opacity: 0;
    transition: all 0.35s ease;
}

.modal.active .modal-content {
    transform: scale(1) translateY(0);
    opacity: 1;
}

/* Reprise du style HERO */
.modal-card {
    width: 100%;
}

/* Bouton fermer */
.modal-close {
    position: absolute;
    top: -15px;
    right: -15px;
    background: var(--green);
    color: white;
    border: none;
    font-size: 1.5rem;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    cursor: pointer;
    transition: 0.3s;
}

.modal-close:hover {
    background: var(--violet);
}

/* Curseur sur missions */
.mission {
    cursor: pointer;
}

.publications-page {
    padding: 6rem 0;
    min-height: 90vh;
}

.publications-page h1 {
    text-align: center;
    margin-bottom: 3rem;
    margin-top: 3rem;
    text-transform: uppercase;
}

.publications-list {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-top: 2rem;
}

.publication-card {
    display: flex;
    gap: 2rem;
    align-items: stretch;
    background: white;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 10px 25px rgba(39,118,39,0.25);
    transition: transform 0.3s ease;
}

/* IMAGE À GAUCHE */
.publication-card img {
    width: 280px;
    height: 100%;
    object-fit: cover;
}

/* CONTENU À DROITE */
.publication-content {
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    flex: 1;
}

.publication-content h2 {
    margin-bottom: 0.8rem;
    text-align: left;
    text-transform:none;
    font-size: 20px;
}

.publication-content {
    text-align: left;
}

.publication-content p {
    margin-bottom: 1.5rem;
}

.publication-content .btn-primary {
    margin-top: auto;
    align-self: flex-start;

    text-decoration: none;     
    
    display: inline-flex;       
    align-items: center;        
    justify-content: center;    
}

.publications-plus {
    margin-top: 2em;
    text-align: center;
    font-weight: bold;
}

.form-status {
  margin-top: 12px;
  font-size: 0.95rem;
}

.form-status.success {
  color: var(--green); 
}

.form-status.error {
  color: #522876; 
}

/* Focus visible 
.form-status:focus {
  outline: 2px solid var(--green);
  outline-offset: 3px;
}

button:disabled {
  opacity: 0.7;
  cursor: not-allowed;
}